<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterProcessosJuridicosVaraNullableAumentaCampoNumero extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('processos_juridicos', function (Blueprint $table) {
            $table->string('vara', 10)->nullable()->change();
            $table->string('numero', 30)->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('processos_juridicos', function (Blueprint $table) {
            $table->string('vara', 10)->nullable(false)->change();
            $table->string('numero', 10)->change();
        });
    }
}
